Subject: Re: bug#19184: coreutils-8.23 Compile Error on Solaris 8 - Sun Studio 11

From: Pádraig Brady <[email-masked]>
Date: Thu, 27 Nov 2014 14:34:49 +0000

On 27/11/14 02:35, Paul Eggert wrote:
> Pádraig Brady wrote:
>> I did that in the attached.
> 
> I also see uses of %z in dd.c, od.c, and split.c

No other uses with fprintf() though.
The od one goes through printf, but that's only debugging.
The error() ones are fine as they go through any printf() replacement.
Hmm, you're right, that dependency is not explicit,
so it's a bit brittle to leave those.
I wonder should the gnulib errno module depend on the [v]fprintf-posix modules?

Anyway it's better to be consistent and remove the remaining
few uses of %zu for now, so I've just pushed a patch to do that.

thanks,
Pádraig.